--select * from gui_funcionalidad where funcionalidad like 'arch%' and id_tipoFuncionalidad = 1
--select * from gui_funcionalidad where id = 622
--select * from gui_tipoFuncionalidad
--select * from gen_config
-- delete gui_funcionalidad where id = 2381
declare @tipofuncionalidad as integer
declare @uid as varchar(100)
declare @eid as varchar(100)
declare @idFuncionalidadPadre as integer

set @uid = (select top 1 uid from gen_config where id = 1)
set @eid = (select top 1 eid from gen_config where id = 1)
set @idFuncionalidadPadre  = (select id from gui_funcionalidad where nombreControl = 'hojavida')

set @tipofuncionalidad = (select id from gui_tipoFuncionalidad where tipoFuncionalidad = 'Tab')
if not exists (select * from gui_funcionalidad where nombreControl = 'archivos' and id_tipoFuncionalidad = @tipofuncionalidad )
begin 

INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
     VALUES
           (@uid
           ,@eid
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'Archivos'
           ,''
           ,''
           ,''
           ,''
           ,'/forms/equ/hojavida.aspx'
           ,''
           ,0
           ,'archivos'
           ,''
           ,1
           ,@idFuncionalidadPadre
           ,1)

end
